import { OnApplicationBootstrap } from "@nestjs/common";
import { SchedulerRegistry } from "@nestjs/schedule";
import { GTLoggerService } from "@globetracker/nestjs-logger";
import { ModuleOptions } from "@jbiskur/nestjs-async-module";
import { KubernetesOperatorOptions } from "./../interfaces";
import { EventEmitter2 } from "@nestjs/event-emitter";
import { KubernetesClientService } from "@globetracker/nestjs-kubernetes-client";
export declare class ControlLoopService implements OnApplicationBootstrap {
    private readonly logger;
    private readonly options;
    private readonly kubernetesClient;
    private eventEmitter;
    private scheduleRegistry;
    constructor(logger: GTLoggerService, options: ModuleOptions<KubernetesOperatorOptions>, kubernetesClient: KubernetesClientService, eventEmitter: EventEmitter2, scheduleRegistry: SchedulerRegistry);
    runControlLoop(): Promise<void>;
    private listResource;
    onApplicationBootstrap(): Promise<void>;
}
