"use strict";
var KubernetesOperatorModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.KubernetesOperatorModule = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const nestjs_async_module_1 = require("@jbiskur/nestjs-async-module");
const nestjs_kubernetes_client_1 = require("@globetracker/nestjs-kubernetes-client");
const nestjs_options_module_factory_1 = require("@jbiskur/nestjs-options-module-factory");
const control_loop_service_1 = require("./control-loop/control-loop.service");
const optionsToken = nestjs_async_module_1.createOptionsToken();
let KubernetesOperatorModule = KubernetesOperatorModule_1 = class KubernetesOperatorModule extends nestjs_async_module_1.AsyncModule {
    static registerAsync(options) {
        const optionsModule = nestjs_options_module_factory_1.createOptionsModule(optionsToken, options);
        return this.doRegisterAsync(KubernetesOperatorModule_1, null, null, {
            imports: [
                optionsModule,
                nestjs_kubernetes_client_1.KubernetesClientModule.registerAsync({
                    imports: [optionsModule],
                    inject: [optionsToken],
                    useFactory: (moduleOptions) => ({
                        inCluster: moduleOptions.inCluster,
                    }),
                }),
            ],
        });
    }
};
KubernetesOperatorModule = KubernetesOperatorModule_1 = tslib_1.__decorate([
    common_1.Module({
        controllers: [],
        providers: [control_loop_service_1.ControlLoopService],
        exports: [],
    })
], KubernetesOperatorModule);
exports.KubernetesOperatorModule = KubernetesOperatorModule;
//# sourceMappingURL=kubernetes-operator.module.js.map